summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-emulation/bochs/Manifest1
-rw-r--r--app-emulation/bochs/bochs-2.6.8.ebuild86
-rw-r--r--app-emulation/bochs/bochs-2.6.ebuild8
-rw-r--r--app-misc/eid-viewer-bin/Manifest1
-rw-r--r--app-misc/eid-viewer-bin/eid-viewer-bin-4.0.7_p184.ebuild4
-rw-r--r--app-misc/eid-viewer-bin/eid-viewer-bin-4.1.9.ebuild30
-rw-r--r--dev-libs/geoip/Manifest1
-rw-r--r--dev-libs/geoip/geoip-1.6.7.ebuild52
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.2.1.ebuild (renamed from dev-python/boto3/boto3-1.1.1.ebuild)8
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.3.2.ebuild54
-rw-r--r--dev-python/doublex-expects/Manifest1
-rw-r--r--dev-python/doublex-expects/doublex-expects-0.7.0_rc2.ebuild32
-rw-r--r--dev-python/pytest-raisesregexp/Manifest1
-rw-r--r--dev-python/pytest-raisesregexp/metadata.xml10
-rw-r--r--dev-python/pytest-raisesregexp/pytest-raisesregexp-2.0.ebuild32
-rw-r--r--dev-python/stormpath/Manifest2
-rw-r--r--dev-python/stormpath/stormpath-2.1.2.ebuild (renamed from dev-python/stormpath/stormpath-2.0.8.ebuild)13
-rw-r--r--dev-python/websocket-client/Manifest2
-rw-r--r--dev-python/websocket-client/websocket-client-0.34.0.ebuild (renamed from dev-python/websocket-client/websocket-client-0.29.0.ebuild)0
-rw-r--r--net-analyzer/icinga/Manifest1
-rw-r--r--net-analyzer/icinga/icinga-1.13.3.ebuild267
-rw-r--r--net-wireless/broadcom-sta/Manifest3
-rw-r--r--net-wireless/broadcom-sta/broadcom-sta-6.30.223.271.ebuild75
-rw-r--r--net-wireless/broadcom-sta/metadata.xml3
-rw-r--r--www-client/vivaldi/Manifest4
-rw-r--r--www-client/vivaldi/vivaldi-1.0.303.48_p1.ebuild (renamed from www-client/vivaldi/vivaldi-1.0.303.37_p1.ebuild)0
28 files changed, 668 insertions, 26 deletions
diff --git a/app-emulation/bochs/Manifest b/app-emulation/bochs/Manifest
index d45da42ec9bc..563196bb4356 100644
--- a/app-emulation/bochs/Manifest
+++ b/app-emulation/bochs/Manifest
@@ -1 +1,2 @@
+DIST bochs-2.6.8.tar.gz 5075617 SHA256 79700ef0914a0973f62d9908ff700ef7def62d4a28ed5de418ef61f3576585ce SHA512 5e7438a6a09417cbc0b311810a485374bb9b10be452edd9daff0afacd487ada66f37b8189d4868d3420dae82ef6c38fe279d541d24f8a41bf1ca59359572e7bd WHIRLPOOL 798a40aafad7269e4708b443d6511d86236289b7b19b14d2ed33f2c80618b5b3251a7294c70433cfd0f63ebdbcf8d34fc4aa407f70c9874ff1ce2f226d72c4a0
DIST bochs-2.6.tar.gz 4212828 SHA256 65123e44a6d2c1148d741da025d16311b9ccd600ef268b911aba73c67eaf86e1 SHA512 506e7816c96caf56005c74df20d243aef111dded41b65dbf440844af3d49bc5987af333ef65a53f90de9fbdfc4d18e3e23fff1157ccb08bd95afff8fdbbcfba3 WHIRLPOOL 4598ad37b6792a001e3301770318c6a6d53bda98dc9a21337db4659573d8bf4ec64cf3376386f5e298dc25813c9bcc5e29b7a82383b96c1e2f82c77a75877001
diff --git a/app-emulation/bochs/bochs-2.6.8.ebuild b/app-emulation/bochs/bochs-2.6.8.ebuild
new file mode 100644
index 000000000000..847f5e47db7d
--- /dev/null
+++ b/app-emulation/bochs/bochs-2.6.8.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+WX_GTK_VER=2.8
+
+inherit eutils wxwidgets
+
+DESCRIPTION="LGPL-ed pc emulator"
+HOMEPAGE="http://bochs.sourceforge.net/"
+SRC_URI="mirror://sourceforge/bochs/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
+IUSE="3dnow avx debugger doc gdb ncurses readline svga sdl +smp wxwidgets vnc X +x86-64"
+REQUIRED_USE="avx? ( x86-64 )
+ gdb? ( !debugger !smp )
+ debugger? ( !gdb )"
+
+RDEPEND="X? ( x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXpm )
+ sdl? ( media-libs/libsdl )
+ svga? ( media-libs/svgalib )
+ wxwidgets? ( x11-libs/wxGTK:2.8[X] )
+ readline? ( sys-libs/readline:= )
+ ncurses? ( sys-libs/ncurses:= )"
+
+DEPEND="${RDEPEND}
+ doc? ( app-text/docbook-sgml-utils )
+ X? ( x11-proto/xproto )
+ sys-apps/sed
+ >=app-text/opensp-1.5"
+
+src_prepare() {
+ sed -i "s:^docdir.*:docdir = ${EPREFIX}/usr/share/doc/${PF}:" \
+ Makefile.in || die
+}
+
+src_configure() {
+ use wxwidgets && \
+ need-wxwidgets unicode
+
+ econf \
+ --enable-all-optimizations \
+ --enable-idle-hack \
+ --enable-cdrom \
+ --enable-clgd54xx \
+ --enable-cpu-level=6 \
+ --enable-disasm \
+ --enable-e1000 \
+ --enable-gameport \
+ --enable-iodebug \
+ --enable-monitor-mwait \
+ --enable-ne2000 \
+ --enable-plugins \
+ --enable-pci \
+ --enable-pnic \
+ --enable-raw-serial \
+ --enable-sb16=linux \
+ --enable-usb \
+ --enable-usb-ohci \
+ --enable-usb-xhci \
+ --prefix=/usr \
+ --with-nogui \
+ $(use_enable 3dnow) \
+ $(use_enable avx) \
+ $(use_enable debugger) \
+ $(use_enable doc docbook) \
+ $(use_enable gdb gdb-stub) \
+ $(use_enable readline) \
+ $(use_enable smp) \
+ $(use_enable x86-64) \
+ $(use_with ncurses term) \
+ $(use_with sdl) \
+ $(use_with svga) \
+ $(use_with vnc rfb) \
+ $(use_with wxwidgets wx) \
+ $(use_with X x) \
+ $(use_with X x11) \
+ ${myconf}
+}
diff --git a/app-emulation/bochs/bochs-2.6.ebuild b/app-emulation/bochs/bochs-2.6.ebuild
index 78fef9536d8c..934cca694bcc 100644
--- a/app-emulation/bochs/bochs-2.6.ebuild
+++ b/app-emulation/bochs/bochs-2.6.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=4
+EAPI=5
WX_GTK_VER=2.8
@@ -27,8 +27,8 @@ RDEPEND="X? ( x11-libs/libICE
sdl? ( media-libs/libsdl )
svga? ( media-libs/svgalib )
wxwidgets? ( x11-libs/wxGTK:2.8[X] )
- readline? ( sys-libs/readline )
- ncurses? ( sys-libs/ncurses )"
+ readline? ( sys-libs/readline:= )
+ ncurses? ( sys-libs/ncurses:= )"
DEPEND="${RDEPEND}
doc? ( app-text/docbook-sgml-utils )
diff --git a/app-misc/eid-viewer-bin/Manifest b/app-misc/eid-viewer-bin/Manifest
index d3c3e74720eb..b7a2aae7a64b 100644
--- a/app-misc/eid-viewer-bin/Manifest
+++ b/app-misc/eid-viewer-bin/Manifest
@@ -1 +1,2 @@
DIST eid-viewer-4.0.7_p184.tar.gz 9908119 SHA256 923962eecd907ac8e123fecbedd6c5988352e557ec0c4b95df4eac11433cd7be SHA512 65b93e86e0175ca9aea8b5fb237aaa8b3fcab838d7507db335e163a6927e1c214248764b96c61eb3bbec6caf19440f7b7cd60dff79482ad249e23770b51fafa9 WHIRLPOOL 735ac73bec1a674e3338fefb378d0cb2e601e019463db60efb9d205e3a840c911f77bda46ba0e0304eaac43bb4b57b80869fbed7b5af534ce347d507e2c0e59f
+DIST eid-viewer-4.1.9.tar.gz 9924753 SHA256 8ff4e0a1c435efa63e08e5dd5d3e10c442ccc36299910f5d03f2243a0995092f SHA512 536387f93e0fee3f39145a888df93b58fdf4e92389ea5eee99c41713f2eef22e136ef674c7c59790e8484d2353820c4b6b104ea45dd41036fcdeb5f7754fb52f WHIRLPOOL 59a0d0aa478d2392f57d5f7fff288fa0fb0ce8cb34da9b1beac7e8866bd27f2ad2279540a368b0d9ba94c606028f93d97287e3a14058a66087d3f3d4f8e6a08b
diff --git a/app-misc/eid-viewer-bin/eid-viewer-bin-4.0.7_p184.ebuild b/app-misc/eid-viewer-bin/eid-viewer-bin-4.0.7_p184.ebuild
index e7a284dfbfe5..eb6d187e8f66 100644
--- a/app-misc/eid-viewer-bin/eid-viewer-bin-4.0.7_p184.ebuild
+++ b/app-misc/eid-viewer-bin/eid-viewer-bin-4.0.7_p184.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -20,7 +20,7 @@ SRC_URI="http://eid.belgium.be/en/binaries/eid-viewer-4%2E0%2E7-184%2Esrc%2Etar_
HOMEPAGE="http://eid.belgium.be"
RDEPEND="
- virtual/jre
+ virtual/jre:*
sys-apps/pcsc-lite"
DEPEND="${RDEPEND}"
diff --git a/app-misc/eid-viewer-bin/eid-viewer-bin-4.1.9.ebuild b/app-misc/eid-viewer-bin/eid-viewer-bin-4.1.9.ebuild
new file mode 100644
index 000000000000..a990d3769623
--- /dev/null
+++ b/app-misc/eid-viewer-bin/eid-viewer-bin-4.1.9.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils
+
+MY_P="${P/-bin/}"
+SLOT="0"
+LICENSE="LGPL-3"
+KEYWORDS="~amd64 ~x86"
+DESCRIPTION="Graphical interface to the Belgian Electronic Identity Card"
+
+SRC_URI="https://downloads.services.belgium.be/eid/${MY_P}-v${PV}.src.tar.gz -> ${MY_P}.tar.gz"
+HOMEPAGE="http://eid.belgium.be"
+
+RDEPEND="
+ virtual/jre:*
+ sys-apps/pcsc-lite"
+DEPEND="${RDEPEND}"
+
+IUSE=""
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ sed -i -e 's:icons:pixmaps:' Makefile.in || die
+ sed -i -e 's:Application;::' eid-viewer.desktop.sh.in || die
+}
diff --git a/dev-libs/geoip/Manifest b/dev-libs/geoip/Manifest
index da938fb0d891..193a955784fa 100644
--- a/dev-libs/geoip/Manifest
+++ b/dev-libs/geoip/Manifest
@@ -1,2 +1,3 @@
DIST geoip-1.6.5.tar.gz 156441 SHA256 4a151b35e9d9db976b82645c758662a6cb778c669b2c65635d5834e4f885942e SHA512 1ed223a51d238b6bd8d247e1dcb20f6eb9e3f19d39bd262f7cbefb587ea029ed0abac540208916f3ca06bb86f9ea1e99614484fd1c32535892029e945471e702 WHIRLPOOL ca8cd55e16c9981b443fad9f788dc8f28a64dba86980740efeffaa9c4a9d5da84df8a23fb3710ef13741bb40bec0704ca80991e25d3b11fe10acd5a360c02d77
DIST geoip-1.6.6.tar.gz 156796 SHA256 db8ed5d07292c75cb3018738e6411037f15cc2a517f38ee04c1232cbe3d30b46 SHA512 4cdd308500bcb827b3dd1c6d981299ea746251758b6a5df97bf2cf098b62b0a736394d5853a06c62437eb0808cb54efb14d0579f5212284f29016e3c8cdd9846 WHIRLPOOL 518749339b094c4166ab53d8ec38020c72f1550923e8c0084f438391dfe7965a9b2f7b3e27ef5ecac85a3f62aa14299e11fbd740ea103c320eef5fad357994b2
+DIST geoip-1.6.7.tar.gz 158276 SHA256 6f0ee5cd63660a2ab3a8f30df8e7246ee87b0eb33c719843d691c8d010cbabb5 SHA512 dde9ef65328297604892533ef5d5b568184eb4a29ff95839cb5e39b6652bcfbc53bf64fbcc3b55dad43cf0fca16f5611dbd96ba50f3001d8e212392304bce0b5 WHIRLPOOL 2d7e3b94317aa820c55c08be1808b9cc6d8cc38e87733cb1da3c9b3a5bf51212933e266ca105aabd765a08fe87f79f22eae5d8c6e3015a43fc923637273d6795
diff --git a/dev-libs/geoip/geoip-1.6.7.ebuild b/dev-libs/geoip/geoip-1.6.7.ebuild
new file mode 100644
index 000000000000..f177d8da83fb
--- /dev/null
+++ b/dev-libs/geoip/geoip-1.6.7.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools eutils
+
+DESCRIPTION="easily lookup countries by IP addresses, even when Reverse DNS entries don't exist"
+HOMEPAGE="https://github.com/maxmind/geoip-api-c"
+SRC_URI="
+ https://github.com/maxmind/${PN}-api-c/archive/v${PV}.tar.gz -> ${P}.tar.gz
+"
+
+# GPL-2 for md5.c - part of libGeoIPUpdate, MaxMind for GeoLite Country db
+LICENSE="LGPL-2.1 GPL-2 MaxMind2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~x86-macos"
+IUSE="static-libs"
+RESTRICT="test"
+
+DEPEND="net-misc/wget"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}-api-c-${PV}"
+
+src_prepare() {
+ eautoreconf
+}
+
+src_configure() {
+ econf $(use_enable static-libs static)
+ sed -e "s|@PREFIX@|${ROOT}|g" "${FILESDIR}"/geoipupdate-r5.sh > geoipupdate.sh || die
+}
+
+src_install() {
+ default
+
+ dodoc AUTHORS ChangeLog NEWS.md README*
+
+ prune_libtool_files
+
+ keepdir /usr/share/GeoIP
+
+ dosbin geoipupdate.sh
+}
+
+pkg_postinst() {
+ ewarn "WARNING: Databases are no longer installed by this ebuild."
+ elog "Don't forget to run 'geoipupdate.sh -f' (or geoipupdate from"
+ elog "net-misc/geoipupdate) to populate ${ROOT}/usr/share/GeoIP/"
+ elog "with geo-located IP address databases."
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 701749907954..5857914073dc 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,3 +1,3 @@
-DIST boto3-1.1.1.tar.gz 137778 SHA256 02a99f270f58386dad6e260692b52f7038d52a9a84df29878528a573afecd88a SHA512 34019c8a3744775a952ae151b56747fc011fd4f28853e3d206f95bb8dd03746ad3d4086cd187d332930d543ca757d81bb732ccfd7cfd818aa8e75d73b1880be5 WHIRLPOOL 0032f5751df61bd71d60ea87ece0ce1be873a6fcd561d7600fcf62f1dd7b701963629368b46010b7a90719395adc652ca5059646af42510d72c05b7e3c5cf49e
DIST boto3-1.1.2.tar.gz 141981 SHA256 6249add14f96b5e4cda0ac03798ab29f505c001332d2fb31ccb276e0ddcc5a15 SHA512 89b0abdab69dcd0c8ed612ecd70e5bdb88cc5242a3846fbdc5f708118d3f0db8c7eb5683422030eb630427dba53a5ea1780f5abbab58a021bf0bcacdeca07aef WHIRLPOOL c7c27d8c3c99ea992b2235beb60221c2899ea94557115b76366ce5922cef3606d9a2f907b0fdcce18e2eee1b19675849a354b50d429aa83ec1c364bf91a7ca5d
DIST boto3-1.1.3.tar.gz 145381 SHA256 c158da65712807de421b66d3b81b1da6a449bc631045b2312855086991e7318e SHA512 a049b8d73f45cf552705764c3ae4a3e8ec19920983bd5587a0563501868920d5237f4e37081ab09a0cda1f48725c6117cd0367633ec027180152bcaa3364383d WHIRLPOOL 0c9f92f16cb5a0210d331ca5bf7199e0c0a0d8051fbe41922f9dee45221a4697816b7d42e323916cf806973abf455c7b6f866a6931cdbfe9d61151cb4eb192c0
+DIST boto3-1.2.1.tar.gz 152790 SHA256 de4ad91f21bee47adffe5923d1aef0f3620e80f433f839e52f52848db7490cae SHA512 b3b47dc69523a737f6d5d2a2311da999427bae1c608a34ef5909a83fc4306f6a2799300e6d8907d2d83eccf503b9b75a6f43417d9ed24882e57eb42410a6c56f WHIRLPOOL c707638307bb5a327e58d137f3b8eeb7bace25c422d98f7aca2e160dda89378ebce8723840e05184799ea56cba0e78588c7f74f44816b0519cf0820e5cb39027
diff --git a/dev-python/boto3/boto3-1.1.1.ebuild b/dev-python/boto3/boto3-1.2.1.ebuild
index 2b98eeb21f6b..17d67c2b1c93 100644
--- a/dev-python/boto3/boto3-1.1.1.ebuild
+++ b/dev-python/boto3/boto3-1.2.1.ebuild
@@ -3,7 +3,7 @@
# $Id$
EAPI=5
-PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+PYTHON_COMPAT=( python2_7 python3_4 )
inherit distutils-r1 vcs-snapshot
@@ -17,9 +17,9 @@ KEYWORDS="~amd64"
IUSE="doc test"
CDEPEND="
- >=dev-python/botocore-1.1.0[${PYTHON_USEDEP}]
- <dev-python/botocore-1.2.0[${PYTHON_USEDEP}]
- >=dev-python/jmespath-0.6.2[${PYTHON_USEDEP}]
+ >=dev-python/botocore-1.3.0[${PYTHON_USEDEP}]
+ <dev-python/botocore-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
<dev-python/jmespath-1.0.0[${PYTHON_USEDEP}]
$(python_gen_cond_dep '=dev-python/futures-2.2.0[${PYTHON_USEDEP}]' 'python2_7')
"
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index fd49497ef81c..3ce19ec2bfcd 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,3 +1,4 @@
DIST 1.1.11.tar.gz 1975224 SHA256 b4e6edc12177dd4f720259aa7027bab00fb9db2029e40e77e67c552ef9f41132 SHA512 b0b10299d93314de582cfd21511987fe210df1618c49f6c706c4341a3a635a85cd48d8848a69f83391a227ab5dc3881509a02b4cc47b1e27d18cf353d4de850b WHIRLPOOL 21e662fe7f713a98e5e16225e3860585f0abb8e4a47b5f0ae52262a929a32ce563e1108c80602c9c2136180957c1b8bb4b89d8b9fc84415c155212d326f08b90
DIST botocore-1.2.10.tar.gz 2202147 SHA256 8541895aa2abe2183fa15efe33794db7428fec3302e0c9bf1db13fa1668e2b66 SHA512 5395776f50c5302d2fa75af702ced17da66a4c0435d62aed907f1ceaa93d38acc2d91a250d2153d852239a08d9f7f0bf361523cc89168a6cb81ef6f8a6ec5124 WHIRLPOOL aa4ff7a2aa1a900642782783b85479943bcce85c7df0c056d989d329c0693424110859a1d9d358e0cc5af94be174c96786c2f339e78934c114011606dfce11ec
DIST botocore-1.3.0.tar.gz 2224783 SHA256 b93f113b40b048a1f636f96797c14d2f5b3e5d112e8a030f2b9fa8b15a16d38c SHA512 8aae8d1e3b162969135778c91dedf672e934dce39fffc364c259f1695d28c2910e6e29dc11c264c287328c9d0ba71455ec7e31894fca03a237cb40464b7e47ba WHIRLPOOL 0f0e311223553b70201fad6a0d6f77865bfb7d1800b39ceffbcd8b0463540bbd4380bbc24e83dbdec1e605e94867ecb6bfdddef432a7455297e3f1b4be2d3592
+DIST botocore-1.3.2.tar.gz 2243332 SHA256 af8176c95244bd9195afb4cf2a2c21a605e884cf6886889c6d983d2adda844ad SHA512 e68288c0f9aae3e30814df3a5562e503d6affc238d74f2a2c8c7e1796f3a1d49bf3408befd9aeb8753d81944118cff7af61ba7db57881f51ca07378fd0d1ec4d WHIRLPOOL adfdef5696e2f3d95626f2b474fe616db5a3874bbfdacb33ed69260dc66c9c62c86016fe9f102272ef012d1b0ec64a1ebe9f0502830c6648be959cf1b8fd7739
diff --git a/dev-python/botocore/botocore-1.3.2.ebuild b/dev-python/botocore/botocore-1.3.2.ebuild
new file mode 100644
index 000000000000..74e695890019
--- /dev/null
+++ b/dev-python/botocore/botocore-1.3.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+
+inherit distutils-r1 vcs-snapshot
+
+DESCRIPTION="Low-level, data-driven core of boto 3."
+HOMEPAGE="https://github.com/boto/botocore"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc test"
+
+CDEPEND="
+ >=dev-python/docutils-0.10[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ <dev-python/jmespath-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+ <dev-python/python-dateutil-3.0.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? (
+ >=dev-python/guzzle_sphinx_theme-0.7.10[${PYTHON_USEDEP}]
+ <dev-python/guzzle_sphinx_theme-0.8[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.1.3[${PYTHON_USEDEP}]
+ <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+ )
+ test? (
+ ${CDEPEND}
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="${CDEPEND}"
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ nosetests tests/unit || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/build/html/. )
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/doublex-expects/Manifest b/dev-python/doublex-expects/Manifest
index 7cfeb5b818b7..9f349413d605 100644
--- a/dev-python/doublex-expects/Manifest
+++ b/dev-python/doublex-expects/Manifest
@@ -1,2 +1,3 @@
DIST doublex-expects-0.4.0.tar.gz 4633 SHA256 59693e28bf9c15b9c2cb85bb2d7af53c48ea9ce4cd094746be375672eef45f1e SHA512 be8eabaf73684a2368d527838a18b3e8c516c4fe63aad3d87765e347b7a84450cb9b76d86ba26c2b684440ecb5d5ff77c82cc7f432ffa7f0ab28a2e01599dd10 WHIRLPOOL 5f2e271e7f50c4b6d74fb359f774074b80ea6fb830d3e2c706d046c199e2fbc2c0125ea72e755d245494a9e3d1b6109c420bf6398314cbce09cf85784e672297
DIST doublex-expects-0.7.0_rc1.tar.gz 6087 SHA256 a83447e4a6ea1305c8971e3d8935f242c4f8813332b26db576064e75fbfe1088 SHA512 fa97080af78aa29c3efa70b89f3afeb4a5537393d3dbd3e94df01d590c046623fc70c25b147b761d1047cd0f154dcb46a3c07674b39fb591d0adcbccce491abd WHIRLPOOL b6732c0cdaffadca718da74e9ac8d1acc6d2742624c5e34306d0df01fe15e3ad2c315e13f0dceab2256fe8f2b13121d55894df19306b99970c9715bca1bc7745
+DIST doublex-expects-0.7.0_rc2.tar.gz 6151 SHA256 b98548b71cbfd0bf0b84b21094714d56f76896b69ca7824208ce3a6aa94538d9 SHA512 94e499f01fbdc73f3f97bbfb64f299d43e3b767f8eb00eecb7c05e062cedd8fa84569cc97ef48aeca24df5ff94b1bfbb330a786500641c857039c2e7d287e952 WHIRLPOOL 1f3c70b94b74d2ea85c70129b6519e67cf257d0c48b84b5191ef84efaeb066f45c8803921ccf9c3a03c5ed50ddd844ab26449dbc6c4498cd3aae663720531f49
diff --git a/dev-python/doublex-expects/doublex-expects-0.7.0_rc2.ebuild b/dev-python/doublex-expects/doublex-expects-0.7.0_rc2.ebuild
new file mode 100644
index 000000000000..d0ec5e614b1b
--- /dev/null
+++ b/dev-python/doublex-expects/doublex-expects-0.7.0_rc2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+
+inherit distutils-r1 vcs-snapshot
+
+MY_PV=${PV/_/}
+
+DESCRIPTION="Expects matchers for Doublex test doubles assertions"
+HOMEPAGE="https://github.com/jaimegildesagredo/doublex-expects"
+SRC_URI="https://github.com/jaimegildesagredo/${PN}/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/mamba[${PYTHON_USEDEP}] )
+"
+RDEPEND="
+ dev-python/doublex[${PYTHON_USEDEP}]
+ >=dev-python/expects-0.8.0_rc1[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ mamba || die "Tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/pytest-raisesregexp/Manifest b/dev-python/pytest-raisesregexp/Manifest
new file mode 100644
index 000000000000..fabbe5359a62
--- /dev/null
+++ b/dev-python/pytest-raisesregexp/Manifest
@@ -0,0 +1 @@
+DIST pytest-raisesregexp-2.0.tar.gz 2474 SHA256 0fde8aac1a54f9b56e5f9c61fda76727542ed24968c27c6e3688c6f1885f1e61 SHA512 790de1dd7d8c11455829a1c5b19b93bd1108626b539cb539466f262702ebc3e0cdd954f47c6a3210f3b127870ea86ce47ab2c25814d62d503508f3ac96b1bbc0 WHIRLPOOL 0f7eca4584bc9a61fae8324635ee4be2575530c97ad7413ee090e76658ba358a6c44461f66afc905e29c1f52cad9169d4cdb15e78f7a3d19a978f97d157b9d1a
diff --git a/dev-python/pytest-raisesregexp/metadata.xml b/dev-python/pytest-raisesregexp/metadata.xml
new file mode 100644
index 000000000000..02be8c5eb78f
--- /dev/null
+++ b/dev-python/pytest-raisesregexp/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>alunduil@gentoo.org</email>
+ <name>Alex Brandt</name>
+ </maintainer>
+ <longdescription lang="en">
+ </longdescription>
+</pkgmetadata>
diff --git a/dev-python/pytest-raisesregexp/pytest-raisesregexp-2.0.ebuild b/dev-python/pytest-raisesregexp/pytest-raisesregexp-2.0.ebuild
new file mode 100644
index 000000000000..95d8396250d5
--- /dev/null
+++ b/dev-python/pytest-raisesregexp/pytest-raisesregexp-2.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python3_4 )
+
+inherit distutils-r1
+
+DESCRIPTION="Simple pytest plugin to look for regex in Exceptions"
+HOMEPAGE="https://github.com/Walkman/pytest_raisesregexp"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+CDEPEND="dev-python/pytest[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( ${CDEPEND} )
+"
+RDEPEND="
+ ${CDEPEND}
+ dev-python/py[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ ${PYTHON} -m pytest || die "Tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/stormpath/Manifest b/dev-python/stormpath/Manifest
index 25c04ea78742..7fd05427d38f 100644
--- a/dev-python/stormpath/Manifest
+++ b/dev-python/stormpath/Manifest
@@ -1,3 +1,3 @@
-DIST stormpath-2.0.8.tar.gz 4326469 SHA256 9f6ad7e7b210024915e2139b2ed395a7c0fff6ca49ad3cdf58dc8f214d080c70 SHA512 661714fac02528111bb01e30f8c16b1d8701fe894b21d803958331819ce145a9ec03864111b861286224b33aaf56ca68ddcef2b67cd0003c498cd007ce375a03 WHIRLPOOL 12e6f7ec559a654ab59d34106d85d98ada4c7e3dee6fcec6cad0a2500608e962289d73a50e6ce6d81122c43f0f53b30d861203c8a976ac7bdbdab1cd8f5db6be
DIST stormpath-2.0.9.tar.gz 4325976 SHA256 ba93f1f9f6b98db2eb2671d2b3285fdd15f8b2e6d3bce899f240576018f216ae SHA512 b50fa11e8fecf4909a8a1014963c80e7e2dde4db37e1f4681c2a116933d59f5b5ea32901cfde97b24398d8074db8b04121b2a7715d86b6b2eb78eb288465114c WHIRLPOOL 6290d5844d35158cc46f1810b6f83e41c443164cff4512caeeb38e562b04f448c1ac1b608b2cda4abd348f91319e4e8fbb3b195ba31a8fb415ba80f0ed7c5937
DIST stormpath-2.1.1.tar.gz 4326557 SHA256 94600e8368f2fbe06adea5fddc8f4b7a479f7a89a0a35a46f58f7c796286e5f4 SHA512 7548aff63e5f04718d4d4887a1177f6f0cf3cc8cb9588e17f7563bae9c6dc5897a968ee2c4e189b6d9100ef16ec7e34e524c4cd3c5112845c0619876ca6d5505 WHIRLPOOL 33db1d8e52d24581a1fe7220b4329479142772939d1df76d52a46d47db6219890fde3204655dd65851d43b38e2427cd32df894392948482d85554772b9f12bbf
+DIST stormpath-2.1.2.tar.gz 4337164 SHA256 10f46c7ebb27274f61c4b550eb6fc58e54260fa0fb1f96a4b7fce530d789d11c SHA512 c3b3e93f4d5515df8e5ab94770c995a5e7912a53f58f05ca3a1f630c41fc0f76e39cf213dbfad8858d7bfe5f964f6d9cbfad9013de33e9a02e0484bd92a7957d WHIRLPOOL adfbf1cf071167a93989cd4d80039a4eb8c42a908075207a4db4db3a38c87e3b9470b9c1c02946e9481e52d875e836d0c77a72050de2a1f79fc78b5ed037dfe2
diff --git a/dev-python/stormpath/stormpath-2.0.8.ebuild b/dev-python/stormpath/stormpath-2.1.2.ebuild
index ba2db58621b8..e6bdfe5b1541 100644
--- a/dev-python/stormpath/stormpath-2.0.8.ebuild
+++ b/dev-python/stormpath/stormpath-2.1.2.ebuild
@@ -19,9 +19,7 @@ IUSE="doc test"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
- doc? (
- dev-python/sphinx[${PYTHON_USEDEP}]
- )
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
test? (
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pytest-cov[${PYTHON_USEDEP}]
@@ -29,6 +27,7 @@ DEPEND="
)
"
RDEPEND="
+ >=dev-python/isodate-0.5.4[${PYTHON_USEDEP}]
>=dev-python/oauthlib-0.6.3[${PYTHON_USEDEP}]
>=dev-python/pydispatcher-2.0.5[${PYTHON_USEDEP}]
>=dev-python/pyjwt-1.0.0[${PYTHON_USEDEP}]
@@ -37,14 +36,6 @@ RDEPEND="
>=dev-python/six-1.6.1[${PYTHON_USEDEP}]
"
-python_prepare_all() {
- local PATCHES=(
- "${FILESDIR}"/drop-test-module.patch
- )
-
- distutils-r1_python_prepare_all
-}
-
python_compile_all() {
use doc && emake -C docs html
}
diff --git a/dev-python/websocket-client/Manifest b/dev-python/websocket-client/Manifest
index 99d29e31bba3..af501f123312 100644
--- a/dev-python/websocket-client/Manifest
+++ b/dev-python/websocket-client/Manifest
@@ -1,4 +1,4 @@
DIST websocket-client-0.21.0.tar.gz 190523 SHA256 0e279c371df0bc1b3a890a31e90631e03c11ea596e00fd53524f03a5fb972d3d SHA512 cd6ae58226890dd94e03d3d348a5ec83c1b7a5a0e8b353cf28db9b5a78131ecbc84755ba9925fe9c90a90388f03d6e9a535960a13c53536f6b4fe4effbbc736c WHIRLPOOL 4732ad6e839e14f68a0a2070171f724a912f00d2d76003cb23a6253560a2aab51a34525e0cf98ebd7e045e326052b8aa4c7497d384e807f493f99a125e323dd0
-DIST websocket-client-0.29.0.tar.gz 190908 SHA256 abfcb1a8dff4df1b12db4c227d3f4f38a68b42c35a8bca9d2bee10f8eae2b434 SHA512 012cb3eed454a86aa3ded2beede283600df4db0dcd4e2ce4fd25b10e1127c39e7ff7bb916f11f0349a0473eaa742a931fae0e5c86fcda23418827e29a4069dca WHIRLPOOL 0b48022bfd4718c2a033e818c82b4122644564e1c88d8cd6633ebb5e220858997e9851be48ad50f4a0a55ba7c2247e5ef07a957b85921e727c162245bdfa3bbc
DIST websocket-client-0.31.0.tar.gz 192146 SHA256 ddbba49fe9f185dec6a80a536831fa781e10e1d946eef20ebcccd75b943c6ea6 SHA512 899fb3534f76f044b5f550282a05df7d58423b1108cc3134a7b1701c03c673c5e036435218a2931330e800b3060e287f7ad87133e54b0735db1c1581e219f222 WHIRLPOOL d440db59c5f5290e81f614eb1d68d66843b3f06b7c4d7de45c61675143d26f8b507d89c8bd76923dac09f5a117c98ed8239a4acf9ee84a9e0955850c0afe5390
DIST websocket-client-0.32.0.tar.gz 192180 SHA256 cb3ab95617ed2098d24723e3ad04ed06c4fde661400b96daa1859af965bfe040 SHA512 648b5ea6bbf5b402004d0dcaa3d5242580efb7803a6cbadc20448fcdedb0097508d747c6ba67d4df9e289f3917ad6e09698b0fbf1330e073e14d369cfdb98bd3 WHIRLPOOL b24791a7c3eb2994f60c5743eb858dd0b02a0c3ea36a70b1c4a0434276a19a4a73893fcf1aac6cc05ea489469cdc6a9d4d4cd1be4e906817046b711e5c3d083e
+DIST websocket-client-0.34.0.tar.gz 193141 SHA256 682a6241ca953499f06ca506f69aa3ea26f0ed2a41fe7982732cb8449ae92ddf SHA512 db0d87d842884a326ceee1fb089012bb49476077977e3a3a7972f52acc9770431f14d6dcab8b15942230c65c9020336785bed3bf360b0ddc3dc40348fafb18d6 WHIRLPOOL e2851eab4c53c73f229692a9981229a20b9f4e66969cd6edcbed3bd557dde0b70365e543222308ee6f226e991404de23a3be7cc0d668dd18c0ebc75d8cebc6fc
diff --git a/dev-python/websocket-client/websocket-client-0.29.0.ebuild b/dev-python/websocket-client/websocket-client-0.34.0.ebuild
index de7e12040324..de7e12040324 100644
--- a/dev-python/websocket-client/websocket-client-0.29.0.ebuild
+++ b/dev-python/websocket-client/websocket-client-0.34.0.ebuild
diff --git a/net-analyzer/icinga/Manifest b/net-analyzer/icinga/Manifest
index 05af21b1e6cf..60eb54fbfe4b 100644
--- a/net-analyzer/icinga/Manifest
+++ b/net-analyzer/icinga/Manifest
@@ -4,4 +4,5 @@ DIST icinga-1.11.4.tar.gz 18657247 SHA256 34e923d8daac0235513ece5f54a2065b9166cc
DIST icinga-1.11.7.tar.gz 18657763 SHA256 b6526dd44d42c70e50ebfb58608f1fec8ba6d805fda4fde57f1078c248e25045 SHA512 3c06771f83257afc9096078ba5304ad9a3fbd8d75f22ca62113c45b06f1a015ef3758936dcb3376b3a18584a360ca4a629e5b071570b7215f7b199e414946af1 WHIRLPOOL 4f66389b467f77e5544239c9c1553e185e37f115f057df83330118e2e8883efa5d73b05bc1c9b3801ff522947e098f3169185b71a172bf9ac26173a033ce30d6
DIST icinga-1.12.0.tar.gz 18670338 SHA256 6bcee5605d66a00444454514baeffd8084df6097cf8ebead2b8114387d5def14 SHA512 214eece3d5545f9157c25d83f1ed65eab82ae4508e713efa2aec83d69e0621ff53618a33c266e88f67b13e4734bd62d7e55cb2cbc547946d13e691f9b24c726b WHIRLPOOL 94fd7435f113e839e1d6a71a466060ab3e2f161a64643e011acb01f1a34bfe00a7313ea47434db6f74405b1b3fe7581c39bb39fd04887e4985fcd16f0cc0c827
DIST icinga-1.12.2.tar.gz 18745366 SHA256 3eb3e623070996fffe8ba1d5c0fe8081d3074bca5109de4ee597a9515507a4cc SHA512 eac3d354fa555d8374757a07cc84f028dcead71eb611245e16597b050f8f050d4b955cf7bc70ff0230a7fa8eb004541827c2686b60ccd683a0646c1d7707b264 WHIRLPOOL fc1251966dfce7377e6f4017281b3f35cca2241ee1fb31b654126d8f045a957a6835cdb45d622efaaf0cf0cd89d45969f6a4c81dd628174dc7a9c29cef137b51
+DIST icinga-1.13.3.tar.gz 18738204 SHA256 d6994bcc9e137f6639b781a78a55d29c51d74cdfce7f35c13c47e09f200acd84 SHA512 babdbb823c6d7241aa67c39c35f67bdf9a4963688b6edd1190af32e056639c1e592791071c90eae3daa44bcb63beee2ff260ce5a0d5e7edb0ed3c99d69ffdaed WHIRLPOOL 6886f98f44cf2aed3b1f2a23d905cbbf5ecf22055ba66d44b44c46942947103863e47e8ba889ba97d98a22f9364946cd3e725563d05df105be519486e2f4857d
DIST icinga-1.9.6.tar.gz 17082621 SHA256 a70a54d49813f8ea1b58688d5d2b3ecd00a0470a900c84943c044669f582274c SHA512 f2489d6c898e754ca162304651e71e071e5f1d0ce396ecd87ba9e6fd0a14343cca24fd860e661250b2723a696045d45602ebf2fc9aa16dbaf126415ba109b3ff WHIRLPOOL 599b3a257e1ef9b9d713cfbde0233ab171f46ee5f2fffaa2e5a3ab95daaad2c9ee88e61def2420d60e9262fb57dc4a18ea168c0d9b1da52dc85792d2d1389cbf
diff --git a/net-analyzer/icinga/icinga-1.13.3.ebuild b/net-analyzer/icinga/icinga-1.13.3.ebuild
new file mode 100644
index 000000000000..24f28f853f72
--- /dev/null
+++ b/net-analyzer/icinga/icinga-1.13.3.ebuild
@@ -0,0 +1,267 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit depend.apache eutils multilib pax-utils toolchain-funcs user versionator
+
+DESCRIPTION="Nagios Fork - Check daemon, CGIs, docs, IDOutils"
+HOMEPAGE="http://www.icinga.org/"
+#MY_PV=$(delete_version_separator 3)
+#SRC_URI="mirror://sourceforge/${PN}/${PN}-${MY_PV}.tar.gz"
+#S=${WORKDIR}/${PN}-${MY_PV}
+#SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+SRC_URI="https://github.com/${PN}/${PN}-core/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~x86"
+IUSE="+apache2 contrib eventhandler +idoutils lighttpd +mysql perl +plugins postgres ssl +vim-syntax +web"
+DEPEND="idoutils? ( dev-db/libdbi-drivers[mysql?,postgres?] )
+ perl? ( dev-lang/perl )
+ virtual/mailx
+ web? (
+ media-libs/gd[jpeg,png]
+ lighttpd? ( www-servers/lighttpd )
+ )
+ !net-analyzer/nagios-core"
+RDEPEND="${DEPEND}
+ plugins? ( || (
+ net-analyzer/monitoring-plugins
+ net-analyzer/nagios-plugins
+ ) )"
+RESTRICT="test"
+
+want_apache2
+
+pkg_setup() {
+ depend.apache_pkg_setup
+ enewgroup icinga
+ enewgroup nagios
+ enewuser icinga -1 -1 /var/lib/icinga "icinga,nagios"
+}
+
+src_prepare() {
+ epatch "${FILESDIR}/fix-prestripped-binaries-1.7.0.patch"
+}
+
+src_configure() {
+ local myconf
+
+ myconf="$(use_enable perl embedded-perl)
+ $(use_with perl perlcache)
+ $(use_enable idoutils)
+ $(use_enable ssl)
+ --with-cgiurl=/icinga/cgi-bin
+ --with-log-dir=/var/log/icinga
+ --libdir=/usr/$(get_libdir)
+ --bindir=/usr/sbin
+ --sbindir=/usr/$(get_libdir)/icinga/cgi-bin
+ --datarootdir=/usr/share/icinga/htdocs
+ --localstatedir=/var/lib/icinga
+ --sysconfdir=/etc/icinga
+ --with-lockfile=/var/run/icinga/icinga.lock
+ --with-temp-dir=/tmp/icinga
+ --with-temp-file=/tmp/icinga/icinga.tmp"
+
+ if use idoutils ; then
+ myconf+=" --with-ido2db-lockfile=/var/run/icinga/ido2db.lock
+ --with-icinga-chkfile=/var/lib/icinga/icinga.chk
+ --with-ido-sockfile=/var/lib/icinga/ido.sock
+ --with-idomod-tmpfile=/tmp/icinga/idomod.tmp"
+ fi
+
+ if use eventhandler ; then
+ myconfig+=" --with-eventhandler-dir=/etc/icinga/eventhandlers"
+ fi
+
+ if use plugins ; then
+ myconf+=" --with-plugin-dir=/usr/$(get_libdir)/nagios/plugins"
+ else
+ myconf+=" --with-plugin-dir=/usr/$(get_libdir)/nagios/plugins"
+ fi
+
+ if use !apache2 && use !lighttpd ; then
+ myconf+=" --with-command-group=icinga"
+ else
+ if use apache2 ; then
+ myconf+=" --with-httpd-conf=/etc/apache2/conf.d"
+ myconf+=" --with-command-group=apache"
+ elif use lighttpd ; then
+ myconf+=" --with-command-group=lighttpd"
+ fi
+ fi
+
+ econf ${myconf}
+}
+
+src_compile() {
+ tc-export CC
+
+ emake icinga || die "make failed"
+
+ if use web ; then
+ emake DESTDIR="${D}" cgis || die
+ fi
+
+ if use contrib ; then
+ emake DESTDIR="${D}" -C contrib || die
+ fi
+
+ if use idoutils ; then
+ emake DESTDIR="${D}" idoutils || die
+ fi
+}
+
+src_install() {
+ dodoc Changelog README UPGRADING || die
+
+ if ! use web ; then
+ sed -i -e '/cd $(SRC_\(CGI\|HTM\))/d' Makefile || die
+ fi
+
+ emake DESTDIR="${D}" install{,-config,-commandmode} || die
+
+ if use idoutils ; then
+ emake DESTDIR="${D}" install-idoutils || die
+ fi
+
+ if use contrib ; then
+ emake DESTDIR="${D}" -C contrib install || die
+ fi
+
+ if use eventhandler ; then
+ emake DESTDIR="${D}" install-eventhandlers || die
+ fi
+
+ newinitd "${FILESDIR}"/icinga-init.d icinga || die
+ newconfd "${FILESDIR}"/icinga-conf.d icinga || die
+ if use idoutils ; then
+ newinitd "${FILESDIR}"/ido2db-init.d ido2db || die
+ newconfd "${FILESDIR}"/ido2db-conf.d ido2db || die
+ insinto /usr/share/icinga/contrib/db
+ doins -r module/idoutils/db/* || die
+ fi
+ # Apache Module
+ if use web ; then
+ if use apache2 ; then
+ insinto "${APACHE_MODULES_CONFDIR}"
+ newins "${FILESDIR}"/icinga-apache.conf 99_icinga.conf || die
+ elif use lighttpd ; then
+ insinto /etc/lighttpd
+ newins "${FILESDIR}"/icinga-lighty.conf lighttpd_icinga.conf || die
+ else
+ ewarn "${CATEGORY}/${PF} only supports Apache-2.x or Lighttpd webserver"
+ ewarn "out-of-the-box. Since you are not using one of them, you"
+ ewarn "have to configure your webserver accordingly yourself."
+ fi
+ fowners -R root:root /usr/$(get_libdir)/icinga || die
+ cd "${D}" || die
+ find usr/$(get_libdir)/icinga -type d -exec fperms 755 {} +
+ find usr/$(get_libdir)/icinga/cgi-bin -type f -exec fperms 755 {} +
+ fi
+
+ if use eventhandler ; then
+ dodir /etc/icinga/eventhandlers || die
+ fowners icinga:icinga /etc/icinga/eventhandlers || die
+ fi
+
+ keepdir /etc/icinga
+ keepdir /var/lib/icinga
+ keepdir /var/lib/icinga/archives
+ keepdir /var/lib/icinga/rw
+ keepdir /var/lib/icinga/spool/checkresults
+
+ if use apache2 ; then
+ webserver=apache
+ elif use lighttpd ; then
+ webserver=lighttpd
+ else
+ webserver=icinga
+ fi
+
+ fowners icinga:icinga /var/lib/icinga || die "Failed chown of /var/lib/icinga"
+ fowners -R icinga:${webserver} /var/lib/icinga/rw || die "Failed chown of /var/lib/icinga/rw"
+
+ fperms 6755 /var/lib/icinga/rw || die "Failed Chmod of ${D}/var/lib/icinga/rw"
+ fperms 0750 /etc/icinga || die "Failed chmod of ${D}/etc/icinga"
+
+ # paxmarks
+ if use idoutils ; then
+ pax-mark m usr/sbin/ido2db
+ fi
+}
+
+pkg_postinst() {
+ if use web ; then
+ elog "This does not include cgis that are perl-dependent"
+ elog "Currently traceroute.cgi is perl-dependent"
+ elog "Note that the user your webserver is running as needs"
+ elog "read-access to /etc/icinga."
+ elog
+ if use apache2 || use lighttpd ; then
+ elog "There are several possible solutions to accomplish this,"
+ elog "choose the one you are most comfortable with:"
+ elog
+ if use apache2 ; then
+ elog " usermod -G icinga apache"
+ elog "or"
+ elog " chown icinga:apache /etc/icinga"
+ elog
+ elog "Also edit /etc/conf.d/apache2 and add a line like"
+ elog "APACHE2_OPTS=\"\$APACHE2_OPTS -D ICINGA\""
+ elog
+ elog "Icinga web service needs user authentication. If you"
+ elog "use the base configuration, you need a password file"
+ elog "with a password for user \"icingaadmin\""
+ elog "You can create this file by executing:"
+ elog "htpasswd -c /etc/icinga/htpasswd.users icingaadmin"
+ elog
+ elog "you may want to also add apache to the icinga group"
+ elog "to allow it access to the AuthUserFile"
+ elog
+ elif use lighttpd ; then
+ elog " usermod -G icinga lighttpd "
+ elog "or"
+ elog " chown icinga:lighttpd /etc/icinga"
+ elog "Also edit /etc/lighttpd/lighttpd.conf and add 'include \"lighttpd_icinga.conf\"'"
+ fi
+ elog
+ elog "That will make icinga's web front end visable via"
+ elog "http://localhost/icinga/"
+ elog
+ else
+ elog "IMPORTANT: Do not forget to add the user your webserver"
+ elog "is running as to the icinga group!"
+ fi
+ else
+ ewarn "Please note that you have installed Icinga without web interface."
+ ewarn "Please don't file any bugs about having no web interface when you do this."
+ ewarn "Thank you!"
+ fi
+ elog
+ elog "If you want icinga to start at boot time"
+ elog "remember to execute:"
+ elog " rc-update add icinga default"
+ elog
+ elog "If your kernel has /proc protection, icinga"
+ elog "will not be happy as it relies on accessing the proc"
+ elog "filesystem. You can fix this by adding icinga into"
+ elog "the group wheel, but this is not recomended."
+ elog
+ if [ -d "${ROOT}"/var/icinga ] ; then
+ ewarn
+ ewarn "/var/icinga was moved to /var/lib/icinga"
+ ewarn "please move the files if this was an upgrade"
+ if use idoutils ; then
+ ewarn "and edit /etc/ido2db.cfg to change the location of the files"
+ ewarn "it accesses"
+ ewarn "update your db with the scripts under the directory"
+ ewarn "/usr/share/icinga/contrib/db/"
+ fi
+ ewarn
+ ewarn "The \"mv /var/icinga /var/lib/\" command works well to move the files"
+ ewarn "remove /var/icinga afterwards to make this warning disappear"
+ fi
+}
diff --git a/net-wireless/broadcom-sta/Manifest b/net-wireless/broadcom-sta/Manifest
index 97adc135c590..e39f94dceb80 100644
--- a/net-wireless/broadcom-sta/Manifest
+++ b/net-wireless/broadcom-sta/Manifest
@@ -1,7 +1,10 @@
DIST README-broadcom-sta-6.30.223.248.txt 16775 SHA256 e25eaa7e666a361abff679d7518c75200ee4d90f8e5cb16f69af3f033c68811a SHA512 e635629f0a75059fa13b2bd2a756397631bc0add43786b0064d3f0232c9bd42dae394b9631846bf602f6cea628a49928ec2344df453ec5075168736627494020 WHIRLPOOL 4b0923b276bca6c3a0f8b37c903e3cd1b3f9ea37b07ffe308b831e505c691f4b77489abd491cd2c7334fe692846fe797c7d4b0ac63e8786f4190f5c2791e6b46
+DIST README-broadcom-sta-6.30.223.271.txt 16755 SHA256 4d6d63f6eb40f84359be06f1f6f26075827a0d25cdaa364d8ccb6561bf162e34 SHA512 ce277af132b656705aee3f8072d1082bfd2a1b7c63a9e330a470546437d4034e7964c64a4f9c326bf15c5f74b9c09a56d720542a41e5ae6e0d42d335488f31f5 WHIRLPOOL 3a544132315cbbc633ac6b6102d71109fea3b9e7742c299f2fe403ecc43206380051c91353c4d79033ac1939fe862b84cb8e435f06687af804fdc2ad5619beb7
DIST bcmwl-kernel-source_6.30.223.30%2Bbdcom-0ubuntu1%7Eppa1_amd64.deb 1779122 SHA256 de6529ae67f339aee185be93e3c12ffa944ef6b4807d176d6fda661de52136ba SHA512 93b17029538ec17be61902f1e5237a300f532dc88fd7475ac202c249a9cec099c5d170b0ebc043e1bda1987f6f925b6a28d4aa80748218f735a3790ded0565cd WHIRLPOOL 47f54a2fc286e58adef1383496fe3e65430ef643d8e7b8830cb87c0558319780f71944296211c62ccccaa4e3a216019fc5a29dd48903240362c656bb79ae55c2
DIST bcmwl-kernel-source_6.30.223.30%2Bbdcom-0ubuntu1%7Eppa1_i386.deb 1732452 SHA256 d689040ac2ef67b9947f892b52764cd94c2090499747b57d63c2b40c7bc8eabb SHA512 323db5e6c8fc702990d7137bd11d2e8bba7ed073ee8da00125d147872edf90dd051a959198dbdaf92808403cdcfd582f17afb8a6f5e741382d3a0cffd6ce130a WHIRLPOOL db24f078e2639f609021028304e7caf48b9a3737b6fdf4b2522ab74606c6cb0b11a94706978b1fd1acdf66c59e351a4a433cf9e500862931a1e9dce6e5562c01
DIST hybrid-v35-nodebug-pcoem-6_30_223_141.tar.gz 1735911 SHA256 d57c33f6bf4ebe68cac67ffe39c2260b8990bb0f07413dfd021dd4db845199a7 SHA512 adb3d9d9375888df3317d6af3d6d45c53412a677e5431051cbfe8c9eac3b13760022fd9b970e77caaeb0fa010ee8bd32ad80076d7279b60719bfb8562c09951f WHIRLPOOL f037e26d7f85d9a1bf3f2638fa6d6bbda43384e24fb249e90afcfff792be8013f1e0f2a1876c4675e39911d4e4877f0ab785eab15f7a6460621fe14c21bab486
DIST hybrid-v35-nodebug-pcoem-6_30_223_248.tar.gz 2824762 SHA256 b196543a429c22b2b8d75d0c1d9e6e7ff212c3d3e1f42cc6fd9e4858f01da1ad SHA512 9f067cf5e1be562c78252791c0b2324b568c8533903842e18e92f2b10c3277e1d15ed42a5925acbd443de373f5113d05447b885a8d52ef57695babe48d68a0ff WHIRLPOOL f3bfef5b3dcbf6d051facbda0078a9850a1cf2f851bca07fd7538ffc3d5c0bf118622d217bb7737fdd87825af73b61ddd2d9a52c3d13a8070be02d1a584a8b14
+DIST hybrid-v35-nodebug-pcoem-6_30_223_271.tar.gz 2869247 SHA256 4f8b70b293ac8cc5c70e571ad5d1878d0f29d133a46fe7869868d9c19b5058cd SHA512 0361ba30d97bcb1dedf46c11ef1b9a16f09cde3faa6be87b3ccc28679f34183c2fdf511e7c3b5c26b304f6961da454ccf71844b92bbb2f25aa876249496a2f1b WHIRLPOOL c96c21e4d497136c4ac5a8f3f1d3e84a7b5f5478ca7c1276262481d66b919639f475b99783ad993c01c94e380275fdd6eb39dd53f224b43912f7a395cada575c
DIST hybrid-v35_64-nodebug-pcoem-6_30_223_141.tar.gz 1786627 SHA256 5f37b2b879e29b220dc64ce2e93d922dc231d4241da03bcbab15ced10e649b4a SHA512 a83defe4553f680b984bf49788377436c5f563f2920c129d87a3930fb6501d0f833d353acf229fa4f67b761e4564428c62bc1c8e3e23c0727d01b8c4f797f6af WHIRLPOOL d1ddc19e29a6927ae0f172613d429a92d5009515b4db1bc188b0ced41ff39565512d4f85721bcf4ddd0a951afadfd7bc303219ed93a20f83e1936a9c82717e47
DIST hybrid-v35_64-nodebug-pcoem-6_30_223_248.tar.gz 2875739 SHA256 3d994cc6c05198f4b6f07a213ac1e9e45a45159899e6c4a7feca5e6c395c3022 SHA512 ce1e9f7f52cd98eaba5cf4ec0c7276bddf3ad906a0111eb236665daca72f36139ca4a8af72658cf91b0eaaa8479e54f5bb3bce77a0cc9bc1966f044b76b8295a WHIRLPOOL 6393507f340f4244d8e40c81102e37f9df0d5dbc0ce4e0fd3ed187ddde6faf3be9bfae59371eb307d031974b5b6d1417c7c11fbdd51b9f3b168ccd83d48276d9
+DIST hybrid-v35_64-nodebug-pcoem-6_30_223_271.tar.gz 2928541 SHA256 5f79774d5beec8f7636b59c0fb07a03108eef1e3fd3245638b20858c714144be SHA512 6855781f7c69a9aecb9461932423688964879d5a4df571f01ae7adaa7bf21a410bef839605d555afb6c8f4eec92fe8510af6cb120930095617ff6cdcccedaf17 WHIRLPOOL 8a905a35581f5c4a1177a3da7356731a360ba5c72e2897d363682afc49b73c46b031776012bba983842b894505d71e6f20f9404120b676e0b79b9ef003342e56
diff --git a/net-wireless/broadcom-sta/broadcom-sta-6.30.223.271.ebuild b/net-wireless/broadcom-sta/broadcom-sta-6.30.223.271.ebuild
new file mode 100644
index 000000000000..bf18fdad0613
--- /dev/null
+++ b/net-wireless/broadcom-sta/broadcom-sta-6.30.223.271.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils linux-info linux-mod
+
+DESCRIPTION="Broadcom's IEEE 802.11a/b/g/n hybrid Linux device driver"
+HOMEPAGE="http://www.broadcom.com/support/802.11/linux_sta.php"
+SRC_BASE="http://www.broadcom.com/docs/linux_sta/hybrid-v35"
+SRC_URI="x86? ( ${SRC_BASE}-nodebug-pcoem-${PV//\./_}.tar.gz )
+ amd64? ( ${SRC_BASE}_64-nodebug-pcoem-${PV//\./_}.tar.gz )
+ http://www.broadcom.com/docs/linux_sta/README_${PV}.txt -> README-${P}.txt"
+
+LICENSE="Broadcom"
+KEYWORDS="-* ~amd64 ~x86"
+
+RESTRICT="mirror"
+
+DEPEND="virtual/linux-sources"
+RDEPEND=""
+
+S="${WORKDIR}"
+
+MODULE_NAMES="wl(net/wireless)"
+MODULESD_WL_ALIASES=("wlan0 wl")
+
+pkg_setup() {
+ # bug #300570
+ # NOTE<lxnay>: module builds correctly anyway with b43 and SSB enabled
+ # make checks non-fatal. The correct fix is blackisting ssb and, perhaps
+ # b43 via udev rules. Moreover, previous fix broke binpkgs support.
+ CONFIG_CHECK="~!B43 ~!BCMA ~!SSB"
+ CONFIG_CHECK2="LIB80211 ~!MAC80211 ~LIB80211_CRYPT_TKIP"
+ ERROR_B43="B43: If you insist on building this, you must blacklist it!"
+ ERROR_BCMA="BCMA: If you insist on building this, you must blacklist it!"
+ ERROR_SSB="SSB: If you insist on building this, you must blacklist it!"
+ ERROR_LIB80211="LIB80211: Please enable it. If you can't find it: enabling the driver for \"Intel PRO/Wireless 2100\" or \"Intel PRO/Wireless 2200BG\" (IPW2100 or IPW2200) should suffice."
+ ERROR_MAC80211="MAC80211: If you insist on building this, you must blacklist it!"
+ ERROR_PREEMPT_RCU="PREEMPT_RCU: Please do not set the Preemption Model to \"Preemptible Kernel\"; choose something else."
+ ERROR_LIB80211_CRYPT_TKIP="LIB80211_CRYPT_TKIP: You will need this for WPA."
+ if kernel_is ge 3 8 8; then
+ CONFIG_CHECK="${CONFIG_CHECK} ${CONFIG_CHECK2} CFG80211 ~!PREEMPT_RCU ~!PREEMPT"
+ elif kernel_is ge 2 6 32; then
+ CONFIG_CHECK="${CONFIG_CHECK} ${CONFIG_CHECK2} CFG80211"
+ elif kernel_is ge 2 6 31; then
+ CONFIG_CHECK="${CONFIG_CHECK} ${CONFIG_CHECK2} WIRELESS_EXT ~!MAC80211"
+ elif kernel_is ge 2 6 29; then
+ CONFIG_CHECK="${CONFIG_CHECK} ${CONFIG_CHECK2} WIRELESS_EXT COMPAT_NET_DEV_OPS"
+ else
+ CONFIG_CHECK="${CONFIG_CHECK} IEEE80211 IEEE80211_CRYPT_TKIP"
+ fi
+
+ linux-mod_pkg_setup
+
+ BUILD_PARAMS="-C ${KV_DIR} M=${S}"
+ BUILD_TARGETS="wl.ko"
+}
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}/${PN}-6.30.223.141-license.patch" \
+ "${FILESDIR}/${PN}-6.30.223.141-makefile.patch" \
+ "${FILESDIR}/${PN}-6.30.223.141-eth-to-wlan.patch" \
+ "${FILESDIR}/${PN}-6.30.223.141-gcc.patch" \
+ "${FILESDIR}/${PN}-6.30.223.248-r3-Wno-date-time.patch"
+
+ epatch_user
+}
+
+src_install() {
+ linux-mod_src_install
+
+ dodoc "${DISTDIR}/README-${P}.txt"
+}
diff --git a/net-wireless/broadcom-sta/metadata.xml b/net-wireless/broadcom-sta/metadata.xml
index 81110864a84b..8358ba2fcf65 100644
--- a/net-wireless/broadcom-sta/metadata.xml
+++ b/net-wireless/broadcom-sta/metadata.xml
@@ -9,6 +9,9 @@
<email>mpagano@gentoo.org</email>
<name>Mike Pagano</name>
</maintainer>
+ <maintainer>
+ <email>tomboy64@sina.cn</email>
+ </maintainer>
<upstream>
<remote-id type="launchpad">~albertomilone</remote-id>
</upstream>
diff --git a/www-client/vivaldi/Manifest b/www-client/vivaldi/Manifest
index b5de6a1c2779..fbc382ff6683 100644
--- a/www-client/vivaldi/Manifest
+++ b/www-client/vivaldi/Manifest
@@ -1,4 +1,4 @@
-DIST vivaldi-1.0.303.37_p1-amd64.deb 41812786 SHA256 9116c0c1c592c46ef07c53395b7d0d0623fc33c0d771a500ef807b616db61d24 SHA512 0e5a88aa95e6d3e54aad4117ae52e143433d7fe372d0900b2ae5ce333ccacf0e283e5daace332a975c08330e1762a9da09be6127f2d9921c91f86c8dcd11dc31 WHIRLPOOL 4d3564e86c67f527169fc316f6c8b302f68c7a61348af0aa03e7fced0b232f7fa799f513773a6441d3ebb7634a13d601530caa8416b408a93bc55d425fe6d994
-DIST vivaldi-1.0.303.37_p1-i386.deb 42252738 SHA256 e24a10eafa8f45f97ebbd509de6ad12a5dac00202f1dfc1bd0cacc65c0f82b6c SHA512 d2e5e0d7829afe2b11052810f40105077b2ced6a5c5dd7f0dfcfc97661ff12532a552fe724be1fd0d72884e8d3ef82de2c91372ac0cfd1e935200a13011a3943 WHIRLPOOL 66c96971abffd176f1471ad0af1fc152f3745410d958cafb2a3404b6a8008611f74b25b760f40b154c9b988b730a87a155d5c11305ab2f248fd0d8aa4ae13520
DIST vivaldi-1.0.303.40_p1-amd64.deb 41795562 SHA256 3550e902a5246ded926266248882f4ae921d42783b50c9b619a688f383baa28a SHA512 1af1e63034d4e8aad4a45cb114adc11dd43f42e339cbb6170ce6923cd9495ec53da59ab81c89e732fcd59428ade5eb98d5931ddbf8c8ad90984caabcd213c8e9 WHIRLPOOL 54e492562b8348fc87297adb0166af18ac1d93702eb124bde878970a39e85d7c3b43d2bda3abc8bc5218bbc077a5fd92ff3431c5d988eaf2667ea5f87a3de12a
DIST vivaldi-1.0.303.40_p1-i386.deb 42289384 SHA256 559e14b38c45929557527c708adc3291b92248bbe008ac88b435e64a8bb4161f SHA512 66ea0a253f02c024fd4be6f62728a4ac6468989dbf51991b945366c74c5cbb086fddde09b84e4250c5ee423c20b721726c7f6311e1a78595cd48e47b103bc192 WHIRLPOOL a06ce50c21bf0af0c808e5f32d864bd5958969f2104ddf0e740f6b0bf29d2f12c6c0e1469f84c24f48b9c0cc38d31495559cdff5bedee2370d0902c0027099e9
+DIST vivaldi-1.0.303.48_p1-amd64.deb 41856320 SHA256 4025ebdee426c3778c891ecb4d63fc4081ed71b129d433334e364621e8f764a8 SHA512 59a0af1731ad3afc3550a1bf4b013b04622fa47be3ca1d857527d5e391724bf400ab227ccc88ffb03f4b673167134ef733c22c1cc6fcacda480914348befac9c WHIRLPOOL 6f511de2fd90163db3d91b51e78d489d3e276d5a8fbfe73deeefe8672a8e28f0351f7f7c1a66ebd190a4f5fded4bac475f491c037113f6c06316e612a99a78fd
+DIST vivaldi-1.0.303.48_p1-i386.deb 42360320 SHA256 69cae26c2a5bd9b0995a17aaa5f44f04057624b4906a294f6ebc0af30ee9b9af SHA512 f4da47fa16adabd42bb82d8e485013d2f6af95ccd35e90ad3697d85d382e0389503ed61d113f17db76cbca99f556b2496e94cec53f00f485460ee6782ae72733 WHIRLPOOL 1691e15fb187a401f712072247b0d35433c604e4c27a8831a447f36e2593fcfb360ce2594e535444f9bd3923bab68863b80e02107822e405939e7a34cd5789eb
diff --git a/www-client/vivaldi/vivaldi-1.0.303.37_p1.ebuild b/www-client/vivaldi/vivaldi-1.0.303.48_p1.ebuild
index c40dd917fbf3..c40dd917fbf3 100644
--- a/www-client/vivaldi/vivaldi-1.0.303.37_p1.ebuild
+++ b/www-client/vivaldi/vivaldi-1.0.303.48_p1.ebuild